import { randId } from "./util.js";
import * as ContextInternal from "./context.internal.js";
export class Context {
    defaultCtx;
    name;
    id;
    constructor(defaultCtx, name = randId()) {
        this.defaultCtx = defaultCtx;
        this.name = name;
        this.id = Symbol(name);
    }
    provider(value, child) {
        return new ContextInternal.Provider(this.id, value, child);
    }
    with(fn) {
        return new ContextInternal.Consumer(this.id, fn);
    }
    static isContext(x) {
        return x instanceof ContextInternal.Provider || x instanceof ContextInternal.Consumer;
    }
}
