import { HyperNode } from "./node.ts";
import type { HyperNodeish } from "./node.ts";
import type { Tag } from "./lib/tags.ts";
import type { EmptyElements } from "./lib/emptyElements.ts";
import type { Attributes } from "./attributes.ts";
export declare namespace Hyper {
    interface Empty<T extends Tag> {
        (props?: Attributes<T>): HyperNode<T>;
        [selector: string]: Hyper.Empty<T>;
    }
    interface Base<T extends Tag> {
        (props: Attributes<T>): HyperNode<T>;
        (...childNodes: HyperNodeish[]): HyperNode<T>;
        (props: Attributes<T>, ...childNodes: HyperNodeish[]): HyperNode<T>;
        [selector: string]: Hyper.Base<T>;
    }
    type Element<T extends Tag = Tag> = T extends EmptyElements ? Hyper.Empty<T> : Hyper.Base<T>;
}
export type Elements = {
    [k in Tag]: Hyper.Element<k>;
};
export declare function create<T extends Tag>(element: T): Hyper.Element<T>;
