export const guessEnv = () => {
    if (typeof process !== "undefined" && process.version) {
        if (process.isBun)
            return "bun";
        if (process.versions?.deno)
            return "deno";
        return "node";
    }
    if (typeof window !== "undefined") {
        if (window.Deno)
            return "deno";
        if (window.document)
            return "browser" + (navigator.userAgent ? ` (${navigator.userAgent})` : "");
    }
    return undefined;
};
