import * as Context from "../context.internal.ts";
import type { Document, Element, HTMLElement, Text } from "../lib/dom.ts";
import { type HyperNodeish } from "../node.ts";
import { ReadonlyState } from "../state.ts";
import { Falsy } from "../util.ts";
export type NodeToDOM<N extends HyperNodeish> = N extends Falsy ? null : N extends string ? Text : N extends ReadonlyState<string> ? Text : Element;
export interface RenderEnvironment {
    document: Document;
    parent: Element;
    registry: ReadonlyMap<symbol, Context.Provider<unknown>>;
}
type Opts = {
    environment?: {
        document: Document;
    };
};
export declare function renderDOM(rootNode: HTMLElement, hyperNode: HyperNodeish, { environment }?: Opts): void;
export {};
