import { history } from "./history.js";
import { State } from "./state.js";
export function leaf(pathlike, node) {
    return [pathlike, node];
}
export function router(...routes) {
    const match = (routes, location) => {
        for (const [pattern, node] of routes)
            if (pattern(location.pathname))
                return node;
        return null;
    };
    // Initial setup
    const state = new State(match(routes, history.location));
    // Update when history is updated
    history.listen(update => state.set(match(routes, update.location)));
    return state;
}
