import { ReadonlyState } from "./state";
export type Distribute<T extends string, U> = {
    [K in T]: U;
}[T];
export type UnionToIntersection<U> = (U extends any ? (k: U) => void : never) extends (k: infer I) => void ? I : never;
export type Keyof<O> = Extract<keyof O, string>;
export declare const escapeAttr: (s: string) => string;
export declare const escapeTextNode: (s: string) => string;
export type SetContents<T> = T extends Set<infer U> ? U : never;
export declare const Falsy: Set<false | "" | 0 | null | undefined>;
export type Falsy = SetContents<typeof Falsy>;
export type MaybeString = string | Falsy;
export type MaybeArray<T> = T | T[];
export type MaybeState<T> = T | ReadonlyState<T>;
export declare const isFalsy: (n: any) => n is Falsy;
export declare const isNonNullable: <T>(n: T) => n is NonNullable<T>;
export declare const unreachable: (arg: never) => never;
export declare const randId: () => string;
