const escapables = {
    "<": "&lt;",
    ">": "&gt;",
    "&": "&amp;",
    "'": "&#39;",
    '"': "&quot;",
};
export const escapeAttr = (s) => s.replace(/<|>|&|"|'/g, r => escapables[r] || r);
export const escapeTextNode = (s) => s.replace(/<|>|&/g, r => escapables[r] || r);
// no 0n since bigint support is 2020+
export const Falsy = new Set([false, "", 0, null, undefined]);
// deno-lint-ignore no-explicit-any
export const isFalsy = (n) => Falsy.has(n);
export const isNonNullable = (n) => n != null;
export const unreachable = (arg) => {
    throw new Error("Unreachable");
};
export const randId = () => Math.random().toString(36).substring(2, 10);
